<?php
require('CFMAdminPage.php');

class PluginAdminPage implements CFMAdminPage
{
	private $menu_slug_admin = 'custom_field_menu';
	private $submenu_slug_about = 'about_cfm';

	public function __construct(){
		add_menu_page('Custom Field Menu', 'CFM', 'manage_options', $this->menu_slug_admin, array($this, 'renderAdminPage'));
		add_submenu_page($this->menu_slug_admin, __('About Custom Field Menu'), __('About'), 'manage_options', $this->submenu_slug_about, array($this, 'renderAboutPage'));
	}

	public static function setupOption(){
		register_setting('cfm_settings', 'title_box');
		register_setting('cfm_settings', 'text_button');
		register_setting('cfm_settings', 'force_using_walker');
	}

	public static function defaultOption(){
		update_option('title_box', 'Choose an Image');
		update_option('text_button', 'Choose');
	}

	public static function removeOption(){

	}

	public function renderAdminPage(){
?>
		<h1><?php echo get_admin_page_title(); ?></h1>
		<div id="poststuff">
			<form method="post" action="options.php">
				<?php settings_fields('cfm_settings'); ?>
				<div class="postbox">
					<h3><?php echo __('General'); ?></h3>
					<div class="inside">
						<table width="100%" class="form-table cmb_metabox">
							<tr>
								<th width="50%">
									<label for="force_using_walker"><?php echo __('Force the use of the custom Walker') ?></label>
								</th>
								<td>
									<input type="checkbox" name="force_using_walker" id="force_using_walker" <?php if(get_option('force_using_walker') == 1){ echo 'checked'; } ?> value="1">
								</td>
							</tr>	
						</table>
					</div>
				</div>
				<div class="postbox">
					<h3><?php echo __('Image field'); ?></h3>
					<div class="inside">
						<table width="100%" class="form-table cmb_metabox">
							<tr>
								<th width="50%">
									<label for="title_box"><?php echo __('Media title') ?></label>
								</th>
								<td>
									<input type="text" name="title_box" id="title_box" value="<?php echo esc_html(get_option('title_box')) ?>">
								</td>
							</tr>
							<tr>
								<th width="50%">
									<label for="text_button"><?php echo __('Text media button') ?></label>
								</th>
								<td>
									<input type="text" name="text_button" id="text_button" value="<?php echo esc_html(get_option('text_button')) ?>">
								</td>
							</tr>					
						</table>
					</div>
				</div>
				<?php submit_button(); ?>
			</form>
		</div>
<?php
	}

	public function renderAboutPage(){
?>
		<h1><?php echo get_admin_page_title(); ?></h1>
		<p>Custom Field Menu Beta developped by <a target="_blank" href="http://clement-decou.olympe.in">Clément Décou</a></p>
		<p>Update in 1.0 version :</p>
		<ul>
			<li>- Add unlimitted fields with different types (text, image, icon with font awesome...)</li>
			<li>- Create big menu</li>
		</ul>

<?php
	}
}